Overview | Modules | Class Hierarchy | Classes | Members

# tlp::MouseNKeysNavigator Class Reference
[Mouse_interactor]

`#include <MouseInteractors.h>`

Inherits tlp::MousePanNZoomNavigator.

Inheritance diagram for tlp::MouseNKeysNavigator:

[legend]
Collaboration diagram for tlp::MouseNKeysNavigator:

[legend]
List of all members.

## Detailed Description

An interactor class to translate/rotate using keys or mouse movements, or to zoom and pan using the mouse wheel or

## Public Member Functions

- MouseNKeysNavigator ()
- ~MouseNKeysNavigator ()
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Constructor & Destructor Documentation

tlp::MouseNKeysNavigator::MouseNKeysNavigator | ( |  | ) | `[inline]`

tlp::MouseNKeysNavigator::~MouseNKeysNavigator | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MouseNKeysNavigator::clone | ( |  | ) | `[inline, virtual]`

| Clone this interactor component Reimplemented from tlp::MousePanNZoomNavigator.

bool tlp::MouseNKeysNavigator::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |

| Reimplemented from tlp::MousePanNZoomNavigator.

Tulip Software by LaBRI Visualization Team 2001 - 2010